Subject: bug#62750: 29.0.50; Commands 'package-update' and 'package-update-all' should be called '*-upgrade'

From: João Távora <[email-masked]>
Date: Wed, 12 Apr 2023 15:36:52 +0100

On Wed, Apr 12, 2023 at 2:45 PM Philip Kaludercic <[email-masked]> wrote:
>
> Stefan Monnier <[email-masked]> writes:
>
> >>> It's annoyingly late to rename, but if we rename without compatibility
> >>> aliases (which seems to be an option since these are new in Emacs-29),
> >>> then I'd be in favor.
> >>
> >> What are compatibility aliases?  I must have missed something?
> >
> > I thought we'd rename `package-update` to `package-upgrade` by adding
> > the new name and marking the old name as an obsolete alias (a
> > "compatibility alias").
> >
> > I hadn't realized that `package-update` hasn't been in a release yet, so
> > we don't need such a compatibility alias.
>
> If this were to happen, I'd like to also be able to rename the analogous
> package-vc commands to upgrade as well.
>
> (On a related topic I have been wondering if package-update should
> handle package-vc packages at all, or if that was a mistake?)

Also, in the off-chance that no-one has noticed yet the new
package-update-*commands and the older package-menu*upgrade
commands use entirely different logic to discover what _can_
be updated.  Only by sheer skill or luck will this logic match exactly.

João